'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CellFooter = exports.CellBody = exports.CellHeader = exports.Cell = exports.Label = exports.Cells = exports.CellsTitle = undefined;
var _jsxFileName = 'src/index.js';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./index.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /**
                                                                                                                                                                                                                              * Created by winber<winberxie@163.com>.
                                                                                                                                                                                                                              * ComponentName Cell
                                                                                                                                                                                                                              * Desc 组件描述内容
                                                                                                                                                                                                                              * GroupName lm-component
                                                                                                                                                                                                                              */


/**
 * @description: 判断当前组件是否可以点击
 * @param {Array} children 
 * @return: string class 名字
 */
var getActiveCls = function getActiveCls() {
    var children = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

    if (!children || !Array.isArray(children)) return '';

    var index = children.length - 1;
    var child = children[index];

    var _ref = child || {},
        props = _ref.props;

    var _ref2 = props || {},
        direction = _ref2.direction;

    return direction ? 'lm-cells-item-link' : '';
};
var CellsTitle = function CellsTitle(_ref3) {
    var className = _ref3.className,
        children = _ref3.children,
        others = _objectWithoutProperties(_ref3, ['className', 'children']);

    var cls = (0, _classnames2.default)({
        'lm-cells-title': true
    }, className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 39
            },
            __self: undefined
        }, '__self', undefined)),
        children
    );
};

exports.CellsTitle = CellsTitle;
var Cells = function Cells(_ref4) {
    var className = _ref4.className,
        children = _ref4.children,
        others = _objectWithoutProperties(_ref4, ['className', 'children']);

    var cls = (0, _classnames2.default)({
        'lm-cells': true
    }, className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 57
            },
            __self: undefined
        }, '__self', undefined)),
        children
    );
};

exports.Cells = Cells;
var Label = function Label(_ref5) {
    var className = _ref5.className,
        children = _ref5.children,
        others = _objectWithoutProperties(_ref5, ['className', 'children']);

    var cls = (0, _classnames2.default)({
        'lm-cell-label': true
    }, className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 74
            },
            __self: undefined
        }, '__self', undefined)),
        children
    );
};

exports.Label = Label;
var Cell = function Cell(_ref6) {
    var className = _ref6.className,
        children = _ref6.children,
        Component = _ref6.Component,
        href = _ref6.href,
        _ref6$disabled = _ref6.disabled,
        disabled = _ref6$disabled === undefined ? false : _ref6$disabled,
        _ref6$link = _ref6.link,
        link = _ref6$link === undefined ? false : _ref6$link,
        others = _objectWithoutProperties(_ref6, ['className', 'children', 'Component', 'href', 'disabled', 'link']);

    var cls = (0, _classnames2.default)({
        'lm-cells-item': true,
        'lm-cells-border': Component || href,
        'lm-cells-item-link': !disabled && link,
        'lm-cells-disabled': disabled
    }, className);

    var renderDom = function renderDom() {
        if (Component) {
            return _react2.default.createElement(
                Component,
                Object.assign({
                    className: cls
                }, others, _defineProperty({
                    __source: {
                        fileName: _jsxFileName,
                        lineNumber: 101
                    },
                    __self: undefined
                }, '__self', undefined)),
                children
            );
        } else if (href) {
            return _react2.default.createElement(
                'a',
                Object.assign({
                    href: href,
                    className: cls
                }, others, _defineProperty({
                    __source: {
                        fileName: _jsxFileName,
                        lineNumber: 110
                    },
                    __self: undefined
                }, '__self', undefined)),
                children
            );
        } else {
            return _react2.default.createElement(
                'div',
                Object.assign({ className: cls }, others, _defineProperty({
                    __source: {
                        fileName: _jsxFileName,
                        lineNumber: 121
                    },
                    __self: undefined
                }, '__self', undefined)),
                children
            );
        }
    };

    return renderDom();
};

exports.Cell = Cell;
var CellHeader = function CellHeader(_ref7) {
    var icon = _ref7.icon,
        className = _ref7.className,
        children = _ref7.children,
        others = _objectWithoutProperties(_ref7, ['icon', 'className', 'children']);

    var cls = (0, _classnames2.default)({
        'lm-cells-item-header': true
    }, className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 148
            },
            __self: undefined
        }, '__self', undefined)),
        _react2.default.createElement('img', _defineProperty({ alt: '', src: icon, __source: {
                fileName: _jsxFileName,
                lineNumber: 149
            },
            __self: undefined
        }, '__self', undefined))
    );
};

exports.CellHeader = CellHeader;
var CellBody = function CellBody(_ref8) {
    var className = _ref8.className,
        children = _ref8.children,
        subDesc = _ref8.subDesc,
        others = _objectWithoutProperties(_ref8, ['className', 'children', 'subDesc']);

    var cls = (0, _classnames2.default)({
        'lm-cells-item-body': true
    }, className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 167
            },
            __self: undefined
        }, '__self', undefined)),
        children,
        subDesc && _react2.default.createElement(
            'p',
            _defineProperty({ className: 'lm-cells-item-sub', __source: {
                    fileName: _jsxFileName,
                    lineNumber: 169
                },
                __self: undefined
            }, '__self', undefined),
            subDesc
        )
    );
};
exports.CellBody = CellBody;
var CellFooter = function CellFooter(_ref9) {
    var className = _ref9.className,
        children = _ref9.children,
        direction = _ref9.direction,
        others = _objectWithoutProperties(_ref9, ['className', 'children', 'direction']);

    var cls = (0, _classnames2.default)(_defineProperty({
        'lm-cells-item-footer': true
    }, 'lm-cells-item-icon-' + direction, direction), className);

    return _react2.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 186
            },
            __self: undefined
        }, '__self', undefined)),
        children
    );
};

exports.CellFooter = CellFooter;
CellFooter.propTypes = {
    direction: _propTypes2.default.string
};